package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 发送第三方平台消息类型(0.http,1.jms)枚举类
*
* @author zxfei
*/
public enum SendMsgTypeEnum {
    http(0, "http"),
    jms(1, "jms");
    private Integer value;
    private String desc;

    SendMsgTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SendMsgTypeEnum getByValue(Integer value) {
        for (SendMsgTypeEnum sendMsgTypeEnum : SendMsgTypeEnum.values()) {
            if (sendMsgTypeEnum.getValue() == value) {
                return sendMsgTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SendMsgTypeEnum item : SendMsgTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}